diff --git a/game/core/src/main/java/net/minecraft/core/entity/EntityPainting.java b/game/core/src/main/java/net/minecraft/core/entity/EntityPainting.java
index 821ffff80..593f35531 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/EntityPainting.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/EntityPainting.java
@@ -17,8 +17,7 @@ import org.jetbrains.annotations.NotNull;
 
 import java.util.*;
 
-public class EntityPainting extends Entity
-{
+public class EntityPainting extends Entity {
     public static final int DATA_ITEM_ID = 16;
     public static final int DATA_ITEM_METADATA_ID = 17;
 
@@ -29,185 +28,149 @@ public class EntityPainting extends Entity
     public int blockZ;
     public ArtType art;
 
-    public EntityPainting(World world)
-    {
+    public EntityPainting(World world) {
         super(world);
-        updateCounter = 0;
-        direction = 0;
-        heightOffset = 0.0F;
-        art = ArtType.Kebab;
+        this.updateCounter = 0;
+        this.direction = 0;
+        this.heightOffset = 0.0F;
+        this.art = ArtType.Kebab;
         setSize(0.5F, 0.5F);
     }
 
     @Override
-    public boolean showBoundingBoxOnHover()
-    {
+    public boolean showBoundingBoxOnHover() {
         return true;
     }
 
-    public EntityPainting(World world, int x, int y, int z, int side, String motive)
-    {
+    public EntityPainting(World world, int x, int y, int z, int side, String motive) {
         this(world);
-        blockX = x;
-        blockY = y;
-        blockZ = z;
+        this.blockX = x;
+        this.blockY = y;
+        this.blockZ = z;
 
-        art = ArtType.map.getOrDefault(motive, art);
+        this.art = ArtType.map.getOrDefault(motive, this.art);
         setDirection(side);
     }
 
     @Override
-    protected void defineSynchedData()
-    {
-        entityData.define(DATA_ITEM_ID, (short)0, Short.class);
-        entityData.define(DATA_ITEM_METADATA_ID, (byte)0, Byte.class);
+    protected void defineSynchedData() {
+        this.entityData.define(DATA_ITEM_ID, (short) 0, Short.class);
+        this.entityData.define(DATA_ITEM_METADATA_ID, (byte) 0, Byte.class);
     }
 
-    public void setDirection(int direction)
-    {
+    public void setDirection(int direction) {
         this.direction = direction;
-        yRotO = yRot = direction * 90;
-        float sizeX = art.sizeX;
-        float sizeY = art.sizeY;
-        float sizeZ = art.sizeX;
-        if(direction == 0 || direction == 2)
-        {
+        this.yRotO = this.yRot = direction * 90;
+        float sizeX = this.art.sizeX;
+        float sizeY = this.art.sizeY;
+        float sizeZ = this.art.sizeX;
+        if (direction == 0 || direction == 2) {
             sizeZ = 0.5F;
-        } else
-        {
+        } else {
             sizeX = 0.5F;
         }
         sizeX /= 32F;
         sizeY /= 32F;
         sizeZ /= 32F;
-        double centerX = (double) blockX + 0.5D;
-        double centerY = (double) blockY + 0.5D;
-        double centerZ = (double) blockZ + 0.5D;
+        double centerX = (double) this.blockX + 0.5D;
+        double centerY = (double) this.blockY + 0.5D;
+        double centerZ = (double) this.blockZ + 0.5D;
         float offsetFromWall = 0.5F + 0.03F;
-        if(direction == 0)
-        {
+        if (direction == 0) {
             centerZ -= offsetFromWall;
         }
-        if(direction == 1)
-        {
+        if (direction == 1) {
             centerX -= offsetFromWall;
         }
-        if(direction == 2)
-        {
+        if (direction == 2) {
             centerZ += offsetFromWall;
         }
-        if(direction == 3)
-        {
+        if (direction == 3) {
             centerX += offsetFromWall;
         }
-        if(direction == 0)
-        {
-            centerX -= offsetFromCenter(art.sizeX);
+        if (direction == 0) {
+            centerX -= offsetFromCenter(this.art.sizeX);
         }
-        if(direction == 1)
-        {
-            centerZ += offsetFromCenter(art.sizeX);
+        if (direction == 1) {
+            centerZ += offsetFromCenter(this.art.sizeX);
         }
-        if(direction == 2)
-        {
-            centerX += offsetFromCenter(art.sizeX);
+        if (direction == 2) {
+            centerX += offsetFromCenter(this.art.sizeX);
         }
-        if(direction == 3)
-        {
-            centerZ -= offsetFromCenter(art.sizeX);
+        if (direction == 3) {
+            centerZ -= offsetFromCenter(this.art.sizeX);
         }
-        centerY += offsetFromCenter(art.sizeY);
+        centerY += offsetFromCenter(this.art.sizeY);
         setPos(centerX, centerY, centerZ);
         float expand = -0.00F;
-        bb.set(centerX - sizeX - expand, centerY - sizeY - expand, centerZ - sizeZ - expand, centerX + sizeX + expand, centerY + sizeY + expand, centerZ + sizeZ + expand);
-        if (direction == 0 || direction == 2)
-        {
-            bb.minZ -= 0.01f;
-            bb.maxZ += 0.01f;
+        this.bb.setMin(centerX - sizeX - expand, centerY - sizeY - expand, centerZ - sizeZ - expand).setMax(centerX + sizeX + expand, centerY + sizeY + expand, centerZ + sizeZ + expand);
+        if (direction == 0 || direction == 2) {
+            this.bb.minZ -= 0.01f;
+            this.bb.maxZ += 0.01f;
         }
-        if (direction == 1 || direction == 3)
-        {
-            bb.minX -= 0.01f;
-            bb.maxX += 0.01f;
+        if (direction == 1 || direction == 3) {
+            this.bb.minX -= 0.01f;
+            this.bb.maxX += 0.01f;
         }
     }
 
-    private float offsetFromCenter(int i)
-    {
-        if(i == 32)
-        {
+    private float offsetFromCenter(int i) {
+        if (i == 32) {
             return 0.5F;
         }
         return i != 64 ? 0.0F : 0.5F;
     }
 
     @Override
-    public void tick()
-    {
-        if(updateCounter++ == 100 && !world.isClientSide)
-        {
-            updateCounter = 0;
-            if(!canStay())
-            {
+    public void tick() {
+        if (this.updateCounter++ == 100 && !this.world.isClientSide) {
+            this.updateCounter = 0;
+            if (!canStay()) {
                 drop();
                 remove();
             }
         }
     }
 
-    public boolean canStay()
-    {
-        if(!world.getCubes(this, bb).isEmpty())
-        {
+    public boolean canStay() {
+        if (!this.world.getCubes(this, this.bb).isEmpty()) {
             return false;
         }
-        int xSize = art.sizeX / 16;
-        int ySize = art.sizeY / 16;
+        int xSize = this.art.sizeX / 16;
+        int ySize = this.art.sizeY / 16;
         int xPosition = this.blockX;
-        int yPosition = MathHelper.floor(y - (double)((float)art.sizeY / 32F));
+        int yPosition = MathHelper.floor(this.y - (double) ((float) this.art.sizeY / 32F));
         int zPosition = this.blockZ;
-        if(direction == 0)
-        {
-            xPosition = MathHelper.floor(x - (double)((float)art.sizeX / 32F));
+        if (this.direction == 0) {
+            xPosition = MathHelper.floor(this.x - (double) ((float) this.art.sizeX / 32F));
         }
-        if(direction == 1)
-        {
-            zPosition = MathHelper.floor(z - (double)((float)art.sizeX / 32F));
+        if (this.direction == 1) {
+            zPosition = MathHelper.floor(this.z - (double) ((float) this.art.sizeX / 32F));
         }
-        if(direction == 2)
-        {
-            xPosition = MathHelper.floor(x - (double)((float)art.sizeX / 32F));
+        if (this.direction == 2) {
+            xPosition = MathHelper.floor(this.x - (double) ((float) this.art.sizeX / 32F));
         }
-        if(direction == 3)
-        {
-            zPosition = MathHelper.floor(z - (double)((float)art.sizeX / 32F));
+        if (this.direction == 3) {
+            zPosition = MathHelper.floor(this.z - (double) ((float) this.art.sizeX / 32F));
         }
-        for(int dx = 0; dx < xSize; dx++)
-        {
-            for(int dy = 0; dy < ySize; dy++)
-            {
+        for (int dx = 0; dx < xSize; dx++) {
+            for (int dy = 0; dy < ySize; dy++) {
                 Material material;
-                if(direction == 0 || direction == 2)
-                {
-                    material = world.getBlockMaterial(xPosition + dx, yPosition + dy, this.blockZ);
-                }
-                else
-                {
-                    material = world.getBlockMaterial(this.blockX, yPosition + dy, zPosition + dx);
+                if (this.direction == 0 || this.direction == 2) {
+                    material = this.world.getBlockMaterial(xPosition + dx, yPosition + dy, this.blockZ);
+                } else {
+                    material = this.world.getBlockMaterial(this.blockX, yPosition + dy, zPosition + dx);
                 }
-                if(!material.isSolid())
-                {
+                if (!material.isSolid()) {
                     return false;
                 }
             }
 
         }
 
-        List<Entity> entities = world.getEntitiesWithinAABBExcludingEntity(this, bb);
-        for (Entity entity : entities)
-        {
-            if (entity instanceof EntityPainting)
-            {
+        List<Entity> entities = this.world.getEntitiesWithinAABBExcludingEntity(this, this.bb);
+        for (Entity entity : entities) {
+            if (entity instanceof EntityPainting) {
                 return false;
             }
         }
@@ -216,38 +179,33 @@ public class EntityPainting extends Entity
     }
 
     @Override
-    public boolean isPickable()
-    {
+    public boolean isPickable() {
         return true;
     }
 
     @Override
-    public boolean hurt(Entity entity, int i, DamageType type)
-    {
-        if(!removed && !world.isClientSide)
-        {
+    public boolean hurt(Entity entity, int i, DamageType type) {
+        if (!this.removed && !this.world.isClientSide) {
             markHurt();
-            if (!(entity instanceof Player) || ((Player) entity).getGamemode().dropBlockOnBreak())
-            {
+            if (!(entity instanceof Player) || ((Player) entity).getGamemode().dropBlockOnBreak()) {
                 drop();
                 remove();
             }
             remove();
-            world.playBlockSoundEffect(null, this.x, this.y + heightOffset, this.z, Blocks.PLANKS_OAK, EnumBlockSoundEffectType.MINE);
+            this.world.playBlockSoundEffect(null, this.x, this.y + this.heightOffset, this.z, Blocks.PLANKS_OAK, EnumBlockSoundEffectType.MINE);
         }
         return true;
     }
 
     @Override
-	public void addAdditionalSaveData(@NotNull CompoundTag tag)
-    {
-        tag.putByte("Dir", (byte)direction);
-        tag.putString("Motive", art.key);
-        tag.putInt("TileX", blockX);
-        tag.putInt("TileY", blockY);
-        tag.putInt("TileZ", blockZ);
+    public void addAdditionalSaveData(@NotNull CompoundTag tag) {
+        tag.putByte("Dir", (byte) this.direction);
+        tag.putString("Motive", this.art.key);
+        tag.putInt("TileX", this.blockX);
+        tag.putInt("TileY", this.blockY);
+        tag.putInt("TileZ", this.blockZ);
         ItemStack stack = getBorderStack();
-        if (stack != null){
+        if (stack != null) {
             tag.putBoolean("itemExists", true);
             tag.putInt("itemID", stack.itemID);
             tag.putInt("itemMeta", stack.getMetadata());
@@ -257,16 +215,15 @@ public class EntityPainting extends Entity
     }
 
     @Override
-	public void readAdditionalSaveData(@NotNull CompoundTag tag)
-    {
-        direction = tag.getByte("Dir");
-        blockX = tag.getInteger("TileX");
-        blockY = tag.getInteger("TileY");
-        blockZ = tag.getInteger("TileZ");
+    public void readAdditionalSaveData(@NotNull CompoundTag tag) {
+        this.direction = tag.getByte("Dir");
+        this.blockX = tag.getInteger("TileX");
+        this.blockY = tag.getInteger("TileY");
+        this.blockZ = tag.getInteger("TileZ");
         String motive = tag.getString("Motive");
-        art = ArtType.map.getOrDefault(motive, ArtType.Kebab);
-        setDirection(direction);
-        if (tag.getBoolean("itemExists")){
+        this.art = ArtType.map.getOrDefault(motive, ArtType.Kebab);
+        setDirection(this.direction);
+        if (tag.getBoolean("itemExists")) {
             int id = tag.getInteger("itemID");
             int meta = tag.getInteger("itemMeta");
             setStack(new ItemStack(id, 1, meta));
@@ -276,20 +233,16 @@ public class EntityPainting extends Entity
     }
 
     @Override
-	public void move(double xd, double yd, double zd)
-    {
-        if(!world.isClientSide && xd * xd + yd * yd + zd * zd > 0.0D)
-        {
+    public void move(double xd, double yd, double zd) {
+        if (!this.world.isClientSide && xd * xd + yd * yd + zd * zd > 0.0D) {
             drop();
             remove();
         }
     }
 
     @Override
-	public void push(double x, double y, double z)
-    {
-        if(!world.isClientSide && x * x + y * y + z * z > 0.0D)
-        {
+    public void push(double x, double y, double z) {
+        if (!this.world.isClientSide && x * x + y * y + z * z > 0.0D) {
             drop();
             remove();
         }
@@ -298,7 +251,7 @@ public class EntityPainting extends Entity
     protected void drop() {
         if (this.removed) return;
         final Direction d;
-        switch (direction) {
+        switch (this.direction) {
             case 0: {
                 d = Direction.NORTH;
                 break;
@@ -317,11 +270,11 @@ public class EntityPainting extends Entity
                 break;
             }
         }
-        final double x = this.x + d.getOffsetX()/4d;
-        final double y = this.y + d.getOffsetY()/4d;
-        final double z = this.z + d.getOffsetZ()/4d;
+        final double x = this.x + d.getOffsetX() / 4d;
+        final double y = this.y + d.getOffsetY() / 4d;
+        final double z = this.z + d.getOffsetZ() / 4d;
         this.world.entityJoinedWorld(new EntityItem(this.world, x, y, z, new ItemStack(Items.PAINTING)));
-        if (getBorderStack() != null){
+        if (getBorderStack() != null) {
             this.world.entityJoinedWorld(new EntityItem(this.world, x, y, z, getBorderStack()));
             setStack(null);
         }
@@ -329,7 +282,7 @@ public class EntityPainting extends Entity
 
     @Override
     public boolean interact(@NotNull Player player) {
-        if (player.getHeldItem() != null){
+        if (player.getHeldItem() != null) {
             ItemStack stack = player.getHeldItem();
             ItemStack paintingStack = getBorderStack();
             if (getBorder(stack) == null) return false;
@@ -338,15 +291,15 @@ public class EntityPainting extends Entity
             if (stack.stackSize <= 0) {
                 player.inventory.setItem(player.inventory.getCurrentItemIndex(), null);
             }
-            if (paintingStack != null && player.getGamemode().consumeBlocks()){
+            if (paintingStack != null && player.getGamemode().consumeBlocks()) {
                 player.inventory.insertItem(paintingStack, true);
                 if (paintingStack.stackSize > 0) {
                     player.dropPlayerItem(paintingStack);
                 }
             }
             return true;
-        } else if (getBorderStack() != null){
-            if (player.getGamemode().consumeBlocks()){
+        } else if (getBorderStack() != null) {
+            if (player.getGamemode().consumeBlocks()) {
                 player.inventory.insertItem(getBorderStack(), true);
             }
             setStack(null);
@@ -356,8 +309,8 @@ public class EntityPainting extends Entity
     }
 
     public ItemStack getBorderStack() {
-        int id = entityData.getShort(DATA_ITEM_ID);
-        int meta = Byte.toUnsignedInt(entityData.getByte(DATA_ITEM_METADATA_ID));
+        int id = this.entityData.getShort(DATA_ITEM_ID);
+        int meta = Byte.toUnsignedInt(this.entityData.getByte(DATA_ITEM_METADATA_ID));
 
         if (id != 0) {
             return new ItemStack(id, 1, meta);
@@ -366,22 +319,26 @@ public class EntityPainting extends Entity
         }
     }
 
-    public void setStack(ItemStack stack){
-        if (stack != null){
-            entityData.set(DATA_ITEM_ID, (short) stack.itemID);
-            entityData.set(DATA_ITEM_METADATA_ID, (byte) stack.getMetadata());
+    public void setStack(ItemStack stack) {
+        if (stack != null) {
+            this.entityData.set(DATA_ITEM_ID, (short) stack.itemID);
+            this.entityData.set(DATA_ITEM_METADATA_ID, (byte) stack.getMetadata());
         } else {
-            entityData.set(DATA_ITEM_ID, (short) 0);
-            entityData.set(DATA_ITEM_METADATA_ID, (byte) 0);
+            this.entityData.set(DATA_ITEM_ID, (short) 0);
+            this.entityData.set(DATA_ITEM_METADATA_ID, (byte) 0);
         }
     }
+
     private static final HashMap<String, String> borderMaterialMap = new HashMap<>();
+
     public static void addBorder(ItemStack stack, NamespaceID imagePath) {
         borderMaterialMap.put(stack.itemID + "|" + stack.getMetadata(), String.format("/assets/%s/textures/art/borders/%s.png", imagePath.namespace(), imagePath.value()));
     }
-    public static String getBorder(ItemStack stack){
+
+    public static String getBorder(ItemStack stack) {
         return borderMaterialMap.get(stack.itemID + "|" + stack.getMetadata());
     }
+
     static {
         addBorder(Items.INGOT_IRON.getDefaultStack(), NamespaceID.fromPool("minecraft", "border_iron"));
         addBorder(Items.INGOT_GOLD.getDefaultStack(), NamespaceID.fromPool("minecraft", "border_gold"));
